<?php
namespace Teknisa\CRM\Service;

use Teknisa\Libs\Util\NewCode;
use Teknisa\Libs\Util\Environment;

class ComunicacaoService {

    public function validateComunicacao($row) {
        if (empty($row["NRPARCNEGOCIO"])) {
            throw new \Exception("Número do parceiro de negócio não informado.");
        }
        if (empty($row["CDFORMACOMU"])) {
            throw new \Exception("Forma de comunicação não informada.");
        }
        if (empty($row["CDCOMUNICAPARC"])) {
            throw new \Exception("Canal de comunicação não informado.");
        }
    }
}